<?xml version="1.0" encoding="UTF-8"?>
<document>
 <!--ACTIONS-->

 <!--BASE
  <table name="configuration" maxparam="4" groupe="configuration" rightCMDlevel="0:010">
		<description><![CDATA[La configuration de votre adminstration. Veuillez selectionner votre base cliente active.]]></description>
		<column>
			<parameter name="base" type="cdata" option="liste/base/title"></parameter>
		</column>
		
	</table>-->
    <table name="base" maxparam="4" groupe="base" >
		<description><![CDATA[Les différentes bases de votre administration. Vous pouvez construire votre en cliquant sur options, construire base.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="groupe" type="cdata" option="checkboxliste/groupe/title"></parameter>
		</column>
		<actions name="recorddatabase">
        	<action_description><![CDATA[Enregistrement de la base de données]]></action_description>
            <actions_property></actions_property>
            
		</actions>
	</table>
	<!--ADMIN LEVEL-->
	<table name="admin_level" maxparam="4" groupe="base" tableuserlevel="0" tableuserexclude="001">
		<description><![CDATA[Les différentes niveaux de votre administration]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="code" type="number" option="textinput/20/30"></parameter>
		</column>
	</table>
	<!--GROUPE-->
	<table name="groupe" maxparam="3" groupe="groupe" order="true">
		<description><![CDATA[Les différentes groupes votre adminstration]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="title_loc_en" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="title_loc_fr" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="wanticone" type="string" option="boolean"></parameter>
            <parameter name="icone" type="cdata" option="spxdatasicongroup"></parameter>
		</column>
	</table>
	<!--TABLE-->
    <table name="table" maxparam="5" groupe="table" order="true">
		<description><![CDATA[Les différentes tables de votre adminstration. Vous pouvez éditer la table en cliquant sur option. Pour éditer les colones clique sur column "éditer"]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/15/30"></parameter>
			<parameter name="groupe" type="cdata" option="liste/groupe/title"></parameter>
			<parameter name="want_order" type="string" option="boolean"></parameter>
			<!--<parameter name="column" type="cdata" option="checkboxlisteevolued/column/title/name"></parameter>-->
            <parameter name="column" type="cdata" option="subtable/column"></parameter>
            
			<parameter name="max_param" type="numeric" option="textinput/1/2"></parameter>
            
            <parameter name="data_format" type="cdata" option="liste/data_format/title"></parameter>
            
            
            
			<parameter name="max_record" type="numeric" option="textinput/20/30"></parameter>
			<parameter name="max_record_user" type="numeric" option="textinput/20/30"></parameter>
			
			<parameter name="reading_table" type="cdata" option="liste/reading_table/title"></parameter>
			<parameter name="reading_data" type="cdata" option="liste/reading_data/title"></parameter>
			<parameter name="cmd_level" type="cdata" option="checkboxliste/cmd_level/title"></parameter>
			<parameter name="cmd_user" type="cdata" option="checkboxliste/cmd_user/title"></parameter>
            
            <parameter name="subtable" type="string" option="boolean"></parameter>
            
			<parameter name="description" type="cdata" option="textarea/10/3"></parameter>
            
            <parameter name="title_loc_en" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="title_loc_fr" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="description_loc_en" type="cdata" option="textarea/10/3"></parameter>
            <parameter name="description_loc_fr" type="cdata" option="textarea/10/3"></parameter>
            
            <parameter name="actions" type="cdata" option="checkboxliste/actions/title"></parameter>
			<parameter name="actiontitle_loc_en" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="actiontitle_loc_fr" type="cdata" option="textinput/20/30"></parameter>
		</column>
	</table>
    
    <!--DATAFORMAT-->
	<table name="data_format" maxparam="3" groupe="table" order="true" >
		<description><![CDATA[Les différents format d'enregistrement des données]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
		</column>
	</table>
	
	<!--COLUMN-->
    <table name="column" maxparam="5" groupe="table" order="true" type="subtable">
		<description><![CDATA[Les différentes colonnes qui composent votre table. Chaque colonne se compose de son nom et d'une fonction préçise.]]></description>
		<column>
			<parameter name="name" type="cdata" option="liste/column_name/name"></parameter>
			<parameter name="option" type="cdata" option="listeBuilderOption/table/title"></parameter>
            <parameter name="addoption" type="cdata" option="textinput/30/50"></parameter>
            <parameter name="readonly" type="string" option="boolean"></parameter>
            <parameter name="title_loc_en" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="title_loc_fr" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="help_loc_en" type="cdata" option="textarea/10/3"></parameter>
            <parameter name="help_loc_fr" type="cdata" option="textarea/10/3"></parameter>
            <parameter name="highlighttitle_loc_en" type="cdata" option="textinput/40/60"></parameter>
            <parameter name="highlighttitle_loc_fr" type="cdata" option="textinput/40/60"></parameter>
		</column>
	</table>
    <!--<table name="column" maxparam="3" groupe="table" order="true" >
		<description><![CDATA[Les différentes column]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="name" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="option" type="cdata" option="listeBuilderOption/table/title"></parameter>
			<parameter name="manual_option" type="cdata" option="textinput/20/30"></parameter>
            
           
			
		</column>
	</table>-->
     <table name="column_name" maxparam="3" groupe="table" order="true" >
		<description><![CDATA[Les différentes column]]></description>
		<column>
			<parameter name="name" type="cdata" option="textinput/20/30"></parameter>
		</column>
	</table>
    <!--ACTION-->
    <table name="action" maxparam="4" groupe="action" tableuserlevel="0" tableuserexclude="001">
		<description><![CDATA[Les differentes actions possibles]]></description>
		<column>
			<parameter name="name" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="property" type="cdata" option="textinput/60/300"></parameter>
			<parameter name="description" type="cdata" option="textarea/10/3"></parameter>
			
		</column>
	</table>
	
	<!--RIGHT-->
    <table name="reading_table" maxparam="4" groupe="right" >
		<description><![CDATA[Fixer les droits de lecture sur les tables. Cette configuration vous permet de dire qui a le droit de voir les tables associées a ce profil de lecture.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="include_level" type="cdata" option="checkboxlisteAdmin"></parameter>
			<parameter name="include_user" type="cdata" option="checkboxlisteUsersEvolued"></parameter>
			<parameter name="exclude_user" type="cdata" option="checkboxlisteUsersEvolued"></parameter>
			
		</column>
	</table>
	
	<table name="reading_data" maxparam="4" groupe="right" >
		<description><![CDATA[Fixer les droits de lecture sur les données. Chaque enregistrement est associé à l id de son créateur. Cette configuration vous permet de dire qui a le droit voir tous les enregistrements des tables associées a ce profil de lecture des données.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="include_level" type="cdata" option="checkboxlisteAdmin"></parameter>
			<parameter name="include_user" type="cdata" option="checkboxlisteUsersEvolued"></parameter>
			<parameter name="exclude_user" type="cdata" option="checkboxlisteUsersEvolued"></parameter>
			
		</column>
	</table>
	
	<table name="cmd_level" maxparam="6" groupe="right" >
		<description><![CDATA[Vous pouvez fixer définir les droits d'action pour la création, la modification et la destruction d'un enregistrement en fonction du niveau de l administrateur]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="creation" type="string" option="boolean"></parameter>
			<parameter name="modification" type="string" option="boolean"></parameter>
			<parameter name="supression" type="string" option="boolean"></parameter>
			<parameter name="level" type="cdata" option="checkboxlisteAdmin"></parameter>
		</column>
	</table>
	
	<table name="cmd_user" maxparam="6" groupe="right" >
		<description><![CDATA[Vous pouvez fixer définir les droits d'action pour la création, la modification et la destruction d'un enregistrement en fonction de l administrateur]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="creation" type="string" option="boolean"></parameter>
			<parameter name="modification" type="string" option="boolean"></parameter>
			<parameter name="supression" type="string" option="boolean"></parameter>
			<parameter name="include_user" type="cdata" option="checkboxlisteUsersEvolued"></parameter>
			
		</column>
	</table>
	<!--TEMPLATE-->
    <!--<table name="config_template" maxparam="6" groupe="template" >
		<description><![CDATA[<p>Cette section va vous permettre de créer des macro commandes ou shortcodes. L'option va vous permettre de générer le fichier de configuration de vos shorcodes (spxshorcode.php dans le template)</p>]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
            
             <parameter name="theme" type="cdata" option="listethemes"></parameter>
            <parameter name="framework" type="cdata" option="checkboxliste/framework/title"></parameter>
           
		</column>
        <actions name="recordshortcode">
        	<action_description><![CDATA[Enregistrement des shorcodes dans votre thèmes.]]></action_description>
            <actions_property></actions_property>
            
		</actions>
	</table>-->
    
     <!--<table name="shortcode_designer" maxparam="4" groupe="template" order="true" >
		<description><![CDATA[Gestion des shorcodes.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="code" type="cdata" option="textinput/20/30"></parameter>
           <parameter name="table" type="cdata" option="liste/table/title"></parameter>
            <parameter name="actif" type="string" option="boolean"></parameter>
            
          <parameter name="body" type="cdata" option="textarea/10/3"></parameter>
           <parameter name="format" type="cdata" option="textarea/10/3"></parameter>
			
		</column>
	</table>-->
     <!--<table name="shortcode_auto" maxparam="4" groupe="template">
		<description><![CDATA[<p>Editer l'html de votre futur shortcode en précisant le formatage de l'entrée et de son corps. exemple pour la table link: <br />
&lt;?php<br />
$body_link=&quot;&lt;u1&gt;#format&lt;/u1&gt;&quot; ;<br />
$format_link=&quot;&lt;li&gt;&lt;a href=&quot;#url&quot; title=&quot;#description&quot;&gt;#name&lt;/a&gt;&lt;/li&gt;&quot; ;<br />
// autre tables ....
<br />
?&gt;</p>]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
             <parameter name="framework" type="cdata" option="liste/framework/title"></parameter>
              <parameter name="actif" type="string" option="boolean"></parameter>
            
            <parameter name="html" type="cdata" option="subtable/shortcode_auto_html"></parameter>
			
		</column>
	</table>
    
    <table name="shortcode_auto_html" maxparam="6" groupe="subtable" type="subtable">
		<description><![CDATA[<p>Description de l'html selon la structure de vos tables. Le #name# remplace la valeur de votre column. Exemple : </p>
<p>before : &lt;u1&gt;<br />
format : &lt;li&gt;&lt;a href=&quot;#url#&quot; title=&quot;#description#&quot;&gt;#name#&lt;/a&gt;&lt;/li&gt;<br />
after : &lt;u1&gt;</p>]]></description>
		<column>
        	<parameter name="table" type="cdata" option="liste/table/title"></parameter>
			<parameter name="before" type="cdata" option="textarea/5/3"></parameter>
            <parameter name="format" type="cdata" option="textarea/30/3"></parameter>
            <parameter name="after" type="cdata" option="textarea/5/3"></parameter>
			
		</column>
	</table>
    
    <table name="shortcode_coder" maxparam="6" groupe="template" order="true" >
		<description><![CDATA[Gestion des shorcodes. Plus info : 
        </br>http://wordpress.org/plugins/shortcode-generator/
        </br>http://generatewp.com/shortcodes/]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="code" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="framework" type="cdata" option="liste/framework/title"></parameter>
            <parameter name="actif" type="string" option="boolean"></parameter>
            <parameter name="action" type="cdata" option="editstatic/shortcode"></parameter>
			
		</column>
	</table>
    
    <table name="framework" maxparam="6" groupe="template" >
		<description><![CDATA[Gestion des shorcodes.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			
		</column>
	</table>-->
    
    
   
    
    <!--<table name="spxwidget" maxparam="6" groupe="template">
		<description><![CDATA[Gestion des shorcodes.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="file" type="cdata" option="textinput/20/30"></parameter>
             <parameter name="category" type="cdata" option="liste/spxwidget_category/title"></parameter>
		</column>
	</table>
    <table name="spxwidget_category" maxparam="6" groupe="template" >
		<description><![CDATA[Gestion des shorcodes.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
		</column>
	</table>-->
    
    <table name="actions" maxparam="6" groupe="actions" order="true" >
		<description><![CDATA[Gestion des actions.]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="action" type="cdata" option="editstatic/code"></parameter>
             <parameter name="description" type="cdata" option="textarea/10/3"></parameter>
			
		</column>
	</table>
    
    <!--<table name="test" maxparam="6" groupe="test" >
		<description><![CDATA[Description de la table test 1]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			<parameter name="action" type="cdata" option="subtable/test2"></parameter>
			
		</column>
	</table>
    <table name="test2" maxparam="6" groupe="test" type="subtable">
		<description><![CDATA[Description de la table test 2]]></description>
		<column>
			<parameter name="title" type="cdata" option="textinput/20/30"></parameter>
			
		</column>
	</table>-->
    
    <!--LOCALISATION-->
    
   <!-- <table name="localisation" maxparam="4" groupe="localisation" order="true">
		<description><![CDATA[Les textes de votre administration cliente]]></description>
		<column>
			<parameter name="code" type="cdata" option="textinput/20/30"></parameter>
            <parameter name="content_en" type="cdata" option="textarea/20/5"></parameter>
			<parameter name="content_fr" type="cdata" option="textarea/20/5"></parameter>
		</column>
	</table>-->
 
    
	
</document>