<?php

if(!defined('PLX_ROOT')) exit;

// Vérification du Referer pour les variables passées en POST
 if(isset($_SERVER['HTTP_REFERER'])
  && $_SERVER['HTTP_REFERER']!=''
  && substr($_SERVER['HTTP_REFERER'], strlen (spxdatasUtils::get_site_protocol()), strlen($_SERVER['SERVER_NAME'])) != $_SERVER['SERVER_NAME']){
     $_POST = array();
 }

# Initialisation
$basename_select = isset($_POST['basename_select'])?$_POST['basename_select']:$plxPlugin->getBaseName();
if(!empty($_POST['load'])) {
	$basename_select = substr($_POST['base'],1,-4);
}


# suppression de la base
if(!empty($_POST['supp'])) {
	$plxPlugin->delBaseFile($basename_select);
	$basename_select  = $plxPlugin->getBaseName();
}
$base_php_select="/".$basename_select.".php";


# traitement de la sauvegarde du content de la base
if(isset($_POST['submit']) AND trim($_POST['basecontent']) != '') {
	$plxPlugin->editBase($_POST);
}

$content = trim($plxPlugin->getBaseContent($basename_select));

# On récupère les fichiers database (php)
$aDataBase=array();
function listFolderFiles($dir, $include, $root=''){
	$content = array();
    $ffs = scandir($dir);
    foreach($ffs as $ff){
		if($ff!='.' && $ff!='..') {
			$ext = strtolower(strrchr($ff,'.'));
			if(!is_dir($dir.'/'.$ff) AND is_array($include) AND in_array($ext,$include)) {
					$f = str_replace($root, "", PLX_ROOT.ltrim($dir.'/'.$ff,'./'));
					$content[$f] = $f;
			}
			if(is_dir($dir.'/'.$ff)) $content = array_merge($content, listFolderFiles($dir.'/'.$ff,$include,$root));
		}
    }
    return $content;
}
//$root = PLX_ROOT.$plxAdmin->aConf['racine_themes'].$style;
$aDataBase=listFolderFiles($plxPlugin->getPathTable(), array('.php'), $plxPlugin->getPathTable());


?>
 <div id="contentspxdatas">
	<div class="separate2"></div>
	<a class="medium blue btsk" href="plugin.php?p=spxdatas"><?php $plxPlugin->lang('L_BACKPAGE') ?></a>
	<div class="spacer"></div>
	<h1><?php $plxPlugin->lang('L_EDITBASE') ?></h1>
    <h2><?php $plxPlugin->lang('L_NOTE_YOUR_BASE_IS') ?> "<?php  echo $plxPlugin->getBaseName(); ?>"&nbsp;(/<?php  echo $plxPlugin->getBaseName(); ?>.php).&nbsp;<?php $plxPlugin->lang('L_CAN_DELETE_BASE') ?> </h2>
    
   
   
    <form action="plugin.php?p=spxdatas&page=base_edit" method="post" id="form_select">
	<p class="field">
		<?php echo plxToken::getTokenPostMethod() ?>
		<label for="id_base"><?php echo L_CONFIG_EDITTPL_SELECT_FILE ?></label>
		<?php plxUtils::printSelect('base', $aDataBase, $base_php_select); ?> 
        <input class="medium blue btsk" name="load" type="submit" value="<?php $plxPlugin->lang('L_MODE_BUILDER') ?>" />
        <?php if ($plxPlugin->getBaseName()!=$basename_select){?>
        	 <?php echo(spxdatasUtils::printInput ("basename_select", $basename_select, 'hidden', "10-20", true)); ?>
        	<input class="medium blue btsk" name="supp" type="submit" value="<?php $plxPlugin->lang('L_DELETE_FILE_BASE') ?>" />
        <?php } ?>
	</p>
	</form>
    
    
	
	<form action="plugin.php?p=spxdatas&page=base_edit" method="post" id="form_static">
		<fieldset>
		<!-- <pre class='brush: xml'>-->
			<?php
			echo(spxdatasUtils::printInput ("basename_select", $basename_select, 'hidden', "10-20", true)); 
			plxUtils::printArea('basecontent', plxUtils::strCheck($content),140,30,false,'') ;
			
			?>	
		<!--</pre>-->
		</fieldset>
		
		<p class="center">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input class="medium blue btsk" name="submit" type="submit" value="<?php $plxPlugin->lang('L_BUTTON_SAVE_BASE') ?>"/>
		</p>
	</form>
</div>
<script type="text/javascript">

$(document).ready(function() {
	// SyntaxHighlighter.all();
});

//tinymce.init({selector:'textarea'});

</script>

