<?php if(!defined('PLX_ROOT')) exit; ?>
<style type="text/css">
#spxdatas_help pre {
	font-size:14px;
	border: 1px solid #999;
	padding: 20px;
	white-space: pre-wrap;
	word-wrap: break-word;
	background-color: #FFF;
}
#spxdatas_help .red {color:red;}


#spxdatas_help ul#tabnav {
	margin:25px 0 0 0;
	padding:0 0 20px 10px;
	border-bottom:1px solid #025b87
}
	#spxdatas_help  ul#tabnav li {
		margin:0;
		padding:0;
		display:inline;
		list-style-type:none;
		float:left
	}
	#spxdatas_help ul#tabnav a:link, ul#tabnav a:visited {
		line-height:14px;font-weight:bold;margin:0 10px 4px 10px;text-decoration:none;color:#0084c5
	}
	#spxdatas_help ul#tabnav li.active a:link, ul#tabnav li.active a:visited, ul#tabnav a:hover {
		border-bottom:4px solid #025b87;padding-bottom:2px;background:#fff;color:#025b87
	}
	#spxdatas_help ul#tabnav a:hover {
		color:#025b87
	}
#spxdatas_help h3 {
margin: 12px 0px 7px 0px;
padding: 0px;
font-size: 18px;
color: #555;
}
#spxdatas_help h4 {
margin: 12px 0px 7px 0px;
padding: 0px;
font-size: 15px;
color: #555;
}
#spxdatas_help ul,
#spxdatas_help ol {
  padding: 0;
  margin: 0 0 10px 25px;
  
}



#spxdatas_help li {
  line-height: 20px;
}

#spxdatas_help ul.unstyled,
#spxdatas_help ol.unstyled {
  margin-left: 0;
  list-style: none;
}

#spxdatas_help ul.inline,
#spxdatas_help ol.inline {
  margin-left: 0;
  list-style: none;
}

#spxdatas_help ul.inline > li,
#spxdatas_help ol.inline > li {
  display: inline-block;
  *display: inline;
  padding-right: 5px;
  padding-left: 5px;
  *zoom: 1;
}
#spxdatas_help li {background: url(../../plugins/spxdatas/img/list_arrow.png) no-repeat 0% 50%; padding: 0 0 0 16px;}


</style>

<?php

if (defined('PLX_VERSION') && floatval (PLX_VERSION) >= 5.5) {
	$linkhelp = "parametres_help.php?help=plugin&page=spxdatas&pager=";
}else{
	$linkhelp = "parametres_pluginhelp.php?p=spxdatas&pager=";
}

if(isset($_GET['pager'])) {
	$pager = $_GET['pager'];
}else{
	$pager = "start";
}
?>
<div id="spxdatas_help">
<h2>Configuration et aide sur le plugin spxdatas</h2>
<ul id="tabnav">
  <li <?php if ($pager=="start") echo ('class="active"'); ?>>
   <a href="<?php echo $linkhelp ?>start" title="Pour commencer" target="_self">Pour commencer</a>
  </li>
  <li <?php if ($pager=="base") echo ('class="active"'); ?>>
    <a href="<?php echo $linkhelp ?>base" title="Création de la base" target="_self">Création de la base de données</a>
  </li>
   <li <?php if ($pager=="getdata") echo ('class="active"'); ?>>
    <a href="<?php echo $linkhelp ?>getdata" title="Récupération des données" target="_self">Récupération des données</a>
  </li>
  <li <?php if ($pager=="setdata") echo ('class="active"'); ?>>
    <a href="<?php echo $linkhelp ?>setdata" title="Modification ou suppression des données" target="_self">Modification des données</a>
  </li>
  <li <?php if ($pager=="futur") echo ('class="active"'); ?>>
    <a href="<?php echo $linkhelp ?>futur" title="Récupération des données" target="_self">Les futures versions</a>
  </li>
</ul>

<?php include('fr-help-'.$pager.'.php'); ?>



</div>