<style type="text/css">
pre {
	font-size:14px;
	border: 1px solid #999;
	padding: 20px;
	white-space: pre-wrap;
	word-wrap: break-word;
	background-color: #FFF;
}
.red {color:red;}
</style>


<h2>Modification des données coté client</h2>
<h3>A) Création ou modification d'une entrée dans une table</h3>
<p>Pour modifier les données, il faut passer par le hook 'spxdatas::setData'.</p>
<p>Exemple 1 : mise à jour d'une entrée</p>
<p>Par exemple ici on va mettre à jour l'id '001' de la table newsletter pour la colonne 'status' avec la valeur '1'.</p>
<pre>
&lt;?php
global $plxShow;
$o=array();<br />$o[&quot;table&quot;]=&quot;newsletter&quot;;<br />$o[&quot;id&quot;]=&quot;001&quot;;<br />$o[&quot;column&quot;]=array(&quot;status&quot;);<br />$o[&quot;value&quot;]=array(&quot;1&quot;);<br />		<br />$plxShow-&gt;callHook ('spxdatas::setData',$o);
?&gt;</pre>
<p>Exemple 2 : creation d'une nouvelle entrée</p>
<p>Ici on ne précise pas l'id on le laisse vide. Nous créons une nouvelle entrée pour la table &quot;newsletter_mail&quot;. Nous remplissons les colonnes mail et group avec les valeurs respectives &quot;001&quot; et &quot;002&quot;.</p>
<pre>
&lt;?php
global $plxShow;
$o=array();
$o[&quot;table&quot;]=&quot;newsletter_mail&quot;;
$o[&quot;id&quot;]=&quot;&quot;;<br />$o[&quot;column&quot;]=array(&quot;mail&quot;,&quot;group&quot;);<br />$o[&quot;value&quot;]=array(&quot;001&quot;,&quot;002&quot;);

$plxShow-&gt;callHook('spxdatas::setData',$o);

?&gt;</pre>
<h3>B) Suppression d'une entrée dans une table</h3>
<p>On supprime l'id 001 de la table newsletter.</p>
<pre>
&lt;?php
global $plxShow;
$o=array();<br />$o[&quot;table&quot;]=&quot;newsletter&quot;;<br />$o[&quot;id&quot;]=&quot;001&quot;;
<br />$plxShow-&gt;callHook ('spxdatas::delData',$o);
?&gt;</pre>
<p>&nbsp;</p>
