<?php

/**
 * Classe plxUtils rassemblant les fonctions utiles à PluXml
 *
 * @package PLX
 * @author	
 **/
 
class spxdatasActions {
	
	# from plugin editDatas
	public static function checkaction($content,$table,$oid) {
		
		$action_type = $content['action_type'];
		$actions_property = $content['actions_property'];
		$o=array();
		$o["mastertableName"]=$table;
		$o["actions_property"]=$actions_property;
		for ($i=0;$i<count($oid);$i++){
			$o["mastertableID"]=$oid[$i];
			//echo("action type=".$action_type);
			//if ($action_type == "sendnewsletter") self::sendnewsletter($o);
			//if ($action_type == "recorddatabase") self::recorddatabase($o);
			//if ($action_type == "recordshortcode") self::recordshortcode($o);
			//if ($action_type == "exec_static_action") self::exec_static_action($o);
			
			switch ($action_type) {
				case "recorddatabase":
					self::recorddatabase($o);
				break;
				case "recordshortcode":
					self::recordshortcode($o);
				break;
				case "exec_static_action":
					self::exec_static_action($o);
				break;
				case "exec_static_action_plugin":
					self::exec_static_action_plugin($o);
				break;
				
				
				default:
					/*$check =explode ("#",$action_type);
					if ($check[0]=="exec_static_action_plugin"){
						$plugin = $check[1];
						self::exec_static_action_plugin($o,$plugin);
					}
					*/
				//exec_static_action_plugin_nameofplugin
				break;
			}
			
			//print_r($o);
		}
	}
	
	private static function exec_static_action_plugin($o) {
		//echo ("exec_static_action_plugin ! plugin: ".$plugin);
		//$file= PLX_PLUGINS.$plugin.'/spxdatas/actions/'.$o['actions_property'];
		$file= PLX_PLUGINS.$o['actions_property'];
		
		if (file_exists($file)) {
			require $file;
		}
	}

	private static function exec_static_action($o) {
		global $plxPlugin;
		$file = $plxPlugin->getPathBuilderDatas().$o['actions_property'];
		//echo ("execstaticaction".$file);
		require $file;
		// l'action static partir de ça
		//$o["mastertableName"] 
		//$o["mastertableID"]
	}

	private static function sendnewsletter($o) {
		global $plxPlugin;
		//echo("send_mail_group_test");
		// action object
		//$o=array();
		//$o["mastertableID"]="001";
		
		/*
		$o["mastertableName"]="newsletter";
		$o["mastertableconfig"]="configuration";
		$o["mastertablegroup"]="group";
		$o["configtableName"]="newsletter_configuration";
		$o["mailtableName"]="newsletter_mail";*/
		
		if ($o["mastertableName"]=="") $o["mastertableName"]="newsletter";
		if ($o["mastertableconfig"]=="") $o["mastertableconfig"]="configuration";
		if ($o["mastertablegroup"]=="") $o["mastertablegroup"]="group";
		if ($o["configtableName"]=="") $o["configtableName"]="newsletter_configuration";
		if ($o["mailtableName"]=="") $o["mailtableName"]="newsletter_mail";
		
		// end of action object
		
		// get newsletter
		$omaster= array();
		$omaster["table"]=$o["mastertableName"];
		$omaster["filter"]=$o["mastertableName"]."_id=".$o["mastertableID"];
		$omaster["out"]="array";
		
		$anewsletter = $plxPlugin->getData($omaster,true);
		
		// get config
		$oconfig= array();
		$oconfig["table"]=$o["configtableName"];
		$oconfig["filter"]=$configtable."_id=".$anewsletter[0][$o["mastertableconfig"]];
		$oconfig["out"]="array";
		
		$aconfiguration = $plxPlugin->getData($oconfig,true);
		
		// get mails
		$omails= array();
		$omails["table"]=$o["mailtableName"];
		$omails["filter"]="group=".$anewsletter[0][$o["mastertablegroup"]];
		$omails["out"]="array";
		
		$amailgoup = $plxPlugin->getData($omails,true);
		/*
		print_r($anewsletter);
		echo("\n</br>------------------\n</br>");
		print_r($aconfiguration);
		echo("\n</br>------------------\n</br>");
		print_r($amailgoup);*/
		
		$from = $aconfiguration[0]["mail"];
		$reply = $aconfiguration[0]["mail"];
		$subjet=$anewsletter[0]["subject"];
		$texte=$anewsletter[0]["content"];
		$aemails=array();
		for ($i=0;$i<count($amailgoup);$i++){
			$aemails[$amailgoup[$i]["mail"]]=$amailgoup[$i]["mail"];
		}
		
		//echo("\n</br>--------from ".$from."--------\n</br>");
		//echo("\n</br>--------from ".$subjet."--------\n</br>");
		//echo("\n</br>--------from ".$texte."--------\n</br>");
		//print_r($aemails);
		
		spxdatasUtils::send_mails($from,$subjet,$texte,$aemails,$reply);
		
		// update icon status
		$orecord=array();
		$orecord["table"]="newsletter";
		$orecord["id"]=$o["mastertableID"];
		$orecord["column"]=array("status");
		$orecord["value"]=array("1");
		
		$plxPlugin->setData($orecord,true);

	}
	
	# record localisation
	private static function recordlocalisation($abase,$agroupe,$acolumn_name) {
		global $plxPlugin;
		$alang= array("en","fr");
		$LANG="LANG";
		for ($i=0; $i<count($alang) ; $i++){
		
			$out="<?php
	
				$$LANG = array(";
				
			$aidgroupe = explode(" ",$abase[0]["groupe"]);
			//print_r($aidgroupe);
			
			for ($j=0;$j<count($aidgroupe);$j++){
				$out.="
				# GROUPES
				";
				$idgroupe = $aidgroupe[$j];	
				$groupeselect = $agroupe[$idgroupe];
				
				$titleloc = $groupeselect["title_loc_".$alang[$i]];
				$titleloc = str_replace("'", "\'", $titleloc);
				
				if ($groupeselect["wanticone"]=="1"){
					
					$titleloc='<img src="'.PLX_PLUGINS.'spxdatas/img/'.$groupeselect["icone"].'" width="20px" height="20px" >'.$titleloc;
				}
				
				$title = strtoupper ($groupeselect["title"]);
				$out.="'L_GROUPE_".$title."_TITLE'			=> '".$titleloc."',
				";
			
			
				// table
				$o= array();
				$o["table"]="table";
				$o["out"]="array";
				$o["filter"]="groupe=".$idgroupe;
				$atable = $plxPlugin->getData($o,true);
				//echo ("groupe ----".$idgroupe."<br>\n");
				for ($k=0;$k<count($atable);$k++){
					
					$titletable = strtoupper($atable[$k]["title"]);
	
					$titletableloc = $atable[$k]["title_loc_".$alang[$i]];
					$titletableloc = str_replace("'", "\'", $titletableloc);
					
					$descriptiontableloc = $atable[$k]["description_loc_".$alang[$i]];
					$descriptiontableloc = str_replace("'", "\'", $descriptiontableloc);
					
					$out.="# TABLE
					'L_TABLE_".$titletable."_TITLE'			=> '".$titletableloc."',
					'L_TABLE_".$titletable."_DESCRIPTION'			=> '".$descriptiontableloc."',
					";
					
					# action name
					// actiontitle_loc_en
					$actiontitleloc = $atable[$k]["actiontitle_loc_".$alang[$i]];
					$out.="# ACTION TITLE
					'L_TABLE_".$titletable."_ACTIONTITLE'	=> '".$actiontitleloc."',
					";
					
					for ($l=0;$l<count($atable[$k]["column"]);$l++){
						
						$idname = $atable[$k]["column"][$l]["name"];
						$colname=strtoupper($acolumn_name[$idname]["name"]);
						
						
						$highlighttitlecolumnloc = $atable[$k]["column"][$l]["highlighttitle_loc_".$alang[$i]];
						$highlighttitlecolumnloc = str_replace("'", "\'", $highlighttitlecolumnloc);
						
						$titlecolumnloc = $atable[$k]["column"][$l]["title_loc_".$alang[$i]];
						$titlecolumnloc = str_replace("'", "\'", $titlecolumnloc);
						$helpcolumnloc = $atable[$k]["column"][$l]["help_loc_".$alang[$i]];
						$helpcolumnloc = str_replace("'", "\'", $helpcolumnloc);
						$helpcolumnloc = str_replace("<p>", "", $helpcolumnloc);
						$helpcolumnloc = str_replace("</p>", "", $helpcolumnloc);
						
						
						
						
						
						
						$out.="# COLUMN 
						'L_TABLE_COLUMN_".$titletable."_".$colname."_HIGHLIGHTTITLE'			=> '".$highlighttitlecolumnloc."',
						'L_TABLE_COLUMN_".$titletable."_".$colname."_TITLE'			=> '".$titlecolumnloc."',
						'L_TABLE_COLUMN_".$titletable."_".$colname."_HELP'	=> '".$helpcolumnloc."',
					";
					}
					
				}
			
			
			
			}
			
			$out.="	
				);
				?>";
			
			//$filename = $this->folder_table.$this->getParam('file_table')."_loc/".$lang."/admin.php";
			$filespx= $plxPlugin->getPathTable();
			$base_name = plxUtils::title2filename($abase[0]["title"]);
			//if(!is_dir($folder)) mkdir($folder, 0755, true);
			$folder=$filespx.$base_name."_loc/".$alang[$i]."/";
			if(!is_dir($folder)) mkdir($folder, 0755, true);
			//echo ("folder =".$folder);
			$fileloc=$folder."admin.php";
			plxUtils::write($out,$fileloc);
		}
	}
	private static function recorddatabase($o) {
		global $plxPlugin;
		//echo ("record data base");
		//print_r($o);
		
		$o2= array();
		$o2["table"]=$o["mastertableName"];
		$o2["filter"]=$o["mastertableName"]."_id=".$o["mastertableID"];
		$o2["out"]="array";
		$abase = $plxPlugin->getData($o2,true);
		
		$o= array();
		$o["table"]="groupe";
		$o["out"]="array_asso";
		$agroupe = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="column";
		$o["out"]="array_asso";
		$acolumn = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="data_format";
		$o["out"]="array_asso";
		$adata_format = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="column_name";
		$o["out"]="array_asso";
		$acolumn_name = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="actions";
		$o["out"]="array_asso";
		$aaction = $plxPlugin->getData($o,true);
		
		
		$o= array();
		$o["table"]="reading_table";
		$o["out"]="array_asso";
		$areading_table = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="reading_data";
		$o["out"]="array_asso";
		$areading_data = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="cmd_level";
		$o["out"]="array_asso";
		$acmd_level = $plxPlugin->getData($o,true);
		
		$o= array();
		$o["table"]="cmd_user";
		$o["out"]="array_asso";
		$acmd_user = $plxPlugin->getData($o,true);
		
		
		
		self::recordlocalisation($abase,$agroupe,$acolumn_name);
		
		
		// [mastertableName] => base [mastertableID] => 001
		// recup infos base
		// recup groupe
		// recup table des groupes
		// recupt column
		// recup all right
		# On génére le fichier XML
		$xml = "<?xml version=\"1.0\" encoding=\"".PLX_CHARSET."\"?>\n";
		$xml .= "<document>\n";
		
		
		$aidgroupe = explode(" ",$abase[0]["groupe"]);
		//print_r($aidgroupe);
		for ($i=0;$i<count($aidgroupe);$i++){
			$idgroupe = $aidgroupe[$i];
			$o= array();
			$o["table"]="table";
			$o["out"]="array";
			$o["filter"]="groupe=".$idgroupe;
			$atable = $plxPlugin->getData($o,true);
			//echo ("groupe ----".$idgroupe."<br>\n");
			for ($j=0;$j<count($atable);$j++){
				//echo ("table ----".$atable[$j]["title"]."<br>\n");
				//print_r($atable);
				if ($atable[$j]["max_record"]+0==0) { 
					$smaxrecord='';
				}else{
					$smaxrecord='maxrecord="'.$atable[$j]["max_record"].'"';
				}
				if ($atable[$j]["max_record_user"]+0==0) { 
					$smaxrecorduser='';
				}else{
					$smaxrecorduser='maxrecorduser="'.$atable[$j]["max_record_user"].'"';
				}
				if ($atable[$j]["want_order"]==1) {
					$swantorder='order="true"';
				}else{
					$swantorder='';
				}
				if ($atable[$j]["subtable"]==1) {
					$ssubtable='type="subtable"';
				}else{
					$ssubtable='';
				}
				
				# data format xml or json
				$id_dataformat = $atable[$j]["data_format"];
				$code_dataformat = $adata_format[$id_dataformat]["title"];
				if ($code_dataformat=="json") {
					$sdataformat='dataformat="json"';
				}else{
					$sdataformat='';
				}
				
				# reading table
				$sreading_table='';
				$idreading_table = $atable[$j]["reading_table"];
				if ($idreading_table!='') {
					$myreading_table = $areading_table[$idreading_table];
					$sinclude_level = str_replace(' ',',',$myreading_table["include_level"]);
					$sinclude_user = str_replace(' ',',',$myreading_table["include_user"]);
					$sexclude_user = str_replace(' ',',',$myreading_table["exclude_user"]);
					$sreading_table.='tableuserlevel="'.$sinclude_level.'" ';
					if ($sinclude_user!='') $sreading_table.='tableuserinclude="'.$sinclude_user.'" ';
					if ($sexclude_user!='') $sreading_table.='tableuserexclude="'.$sexclude_user.'" ';
				}else{
					$sreading_table='';
				}
				
				$sreading_data='';
				$idreading_data = $atable[$j]["reading_data"];
				if ($idreading_data!='') {
					$myreading_data = $areading_data[$idreading_data];
					$sinclude_level = str_replace(' ',',',$myreading_data["include_level"]);
					$sinclude_user = str_replace(' ',',',$myreading_data["include_user"]);
					$sexclude_user = str_replace(' ',',',$myreading_data["exclude_user"]);
					$sreading_data.='datauserlevel="'.$sinclude_level.'" ';
					if ($sinclude_user!='') $sreading_data.='datauserinclude="'.$sinclude_user.'" ';
					if ($sexclude_user!='') $sreading_data.='datauserexclude="'.$sexclude_user.'" ';
				}else{
					$sreading_data='';
				}
				
				# rightCMDlevel="4:010,5:010"
				$aidcmd_level = explode(" ",$atable[$j]["cmd_level"]);
				$scmd_level='';
				$nlevel = 0;
				if (count($aidcmd_level)>0){
					$scmd_level.='rightCMDlevel="';
					for ($k=0;$k<count($aidcmd_level);$k++){
						$mycmd_level= $acmd_level[$aidcmd_level[$k]];
						if ($mycmd_level["level"] !=""){
							$alevel = explode(" ",$mycmd_level["level"]);
							for ($l=0;$l<count($alevel);$l++){
								$scmd_level.=$alevel[$l].':'.($mycmd_level["creation"]+0).''.($mycmd_level["modification"]+0).''.($mycmd_level["supression"]+0).",";
								$nlevel=$nlevel+1;
							}
						}
						
					}
					if ($nlevel>0) {
						$scmd_level = substr($scmd_level, 0, -1);
						$scmd_level.='"';
					}else{
						$scmd_level='';
					}
				}
				
				# rightCMDuser="4:010,5:010"
				$aidcmd_user = explode(" ",$atable[$j]["cmd_level"]);
				$scmd_user='';
				$nuser = 0;
				if (count($aidcmd_user)>0){
					$scmd_user.='rightCMDuser="';
					for ($k=0;$k<count($aidcmd_user);$k++){
						$mycmd_user= $acmd_user[$aidcmd_user[$k]];
						if ($mycmd_user["include_user"] !=""){
							$auser = explode(" ",$mycmd_user["include_user"]);
							for ($l=0;$l<count($auser);$l++){
								$scmd_user.=$auser[$l].':'.($mycmd_user["creation"]+0).''.($mycmd_user["modification"]+0).''.($mycmd_user["supression"]+0).",";
								$nuser=$nuser+1;
							}
						}
						
					}
					if ($nuser>0) {
						$scmd_user = substr($scmd_user, 0, -1);
						$scmd_user.='"';
					}else{
						$scmd_user='';
					}
				}
				
				
				//$xml .='<!--  -->';
				
				$xml .="\t".'<table name="'.$atable[$j]["title"].'" maxparam="'.$atable[$j]["max_param"].'" groupe="'.$agroupe[$idgroupe]["title"].'" '.$smaxrecord.' '.$smaxrecorduser.' '.$swantorder.' '.$sdataformat.' '.$ssubtable.' '.$sreading_table.' '.$sreading_data.' '.$scmd_level.' '.$scmd_user.' >'."\n";
				$xml .="\t\t".'<description><![CDATA['.$atable[$j]["description"].']]></description>'."\n";
				$xml .="\t\t".'<column>'."\n";
					# $atable[$j]["column"][0]["name"]   $atable[$j]["column"][0]["option"]
					# $acolumn_name[id]["name"]
					//$aidcolumn = explode(" ",$atable[$j]["column"]);
					# read sub table
					//print_r($atable[$j]); // column est vide ??? problème sur l'url dns getdatas subtable
					for ($k=0;$k<count($atable[$j]["column"]);$k++){
						$idname = $atable[$j]["column"][$k]["name"];
						$colname=$acolumn_name[$idname]["name"];
						$aoption= explode(" ",$atable[$j]["column"][$k]["option"]);
						
						$addoption=$atable[$j]["column"][$k]["addoption"];
						
						if ($atable[$j]["column"][$k]["readonly"]=="1") {
							$readonly=' reado="1"';
						}else{
							$readonly="";
						}
						
						$xml .="\t\t\t".'<parameter '.$readonly.' name="'.$colname.'" type="'.$aoption[0].'" option="'.$aoption[1].$addoption.'" ></parameter>'."\n";
					}
					/*
					for ($k=0;$k<count($aidcolumn);$k++){
						$col = $acolumn[$aidcolumn[$k]];
						$aoption= explode(" ",$col["option"]);
						$xml .='<parameter name="'.$col["name"].'" type="'.$aoption[0].'" option="'.$aoption[1].'"></parameter>';
					}*/
					
				$xml .="\t\t".'</column>'."\n";
				
				$aidaction = $atable[$j]["actions"];
				
				if ($aidaction != ""){
					$my_action = $aaction[$aidaction];
					$static_file = 'actions.'.$aidaction.'.code.php';
					//$xml .='<actions name="'.$my_action["name"].'" >';
					$xml .="\t\t".'<actions name="exec_static_action" >'."\n";
					
					$xml .="\t\t\t".'<action_description><![CDATA['.$my_action["description"].']]></action_description>'."\n";
					$xml .="\t\t\t".'<actions_property><![CDATA['.$static_file.']]></actions_property>'."\n";
					
					$xml .="\t\t".'</actions>'."\n";
				}
			
				$xml .="\t".'</table>'."\n";
			}
			
			/*
			foreach ($atmp3 as $k => $v) {
				$atmp[$count]=$v;
				$count++;
			}
			*/
			
		}
		
		$xml .= "</document>";
		//echo("<pre>");
		//print_r ($xml);
		//echo("</pre>");
		$pathdata=PLX_ROOT.$abase[0]["path"];
		
		
		$filespx= $plxPlugin->getPathTable();
		$base_name = plxUtils::title2filename($abase[0]["title"]);
		$pathdata2=$filespx.$base_name.".php";
		//echo ($pathdata2) ;
		plxUtils::write($xml,$pathdata2);
		
	}
	
	
	private static function recordshortcode($o) {
		global $plxPlugin;
		echo ("record shortcode");
		print_r($o);
		
		$o2= array();
		$o2["table"]=$o["mastertableName"];
		$o2["filter"]=$o["mastertableName"]."_id=".$o["mastertableID"];
		$o2["out"]="array";
		$aconfig_template = $plxPlugin->getData($o2,true);
		
		print_r($aconfig_template);
		
		$o= array();
		$o["table"]="table";
		$o["out"]="array_asso";
		$atable = $plxPlugin->getData($o,true);
		//echo("table");
		//print_r($atable);
		
		# get ids of framework
		$aidframework = explode(" ",$aconfig_template[0]["framework"]);
		print_r($aidframework);
		for ($i=0;$i<count($aidframework);$i++){
			# get shorcode_auto
			$o= array();
			$o["table"]="shortcode_auto";
			$o["out"]="array";
			$o["filter"]="actif=1 and framework=".$aidframework[$i];
			$ashortcode = $plxPlugin->getData($o,true);
			print_r($ashortcode);
			for ($j=0;$j<count($ashortcode);$j++){
				$filephp =  "shortcode_auto.".$ashortcode[$j]["shortcode_auto_id"].".html.php";
				
				$file = $plxPlugin->getPathBuilderDatas().$filephp;
				
				require $file;
				
				
				foreach ($shortcode_html as $key => $value){
					echo ("key=".$key);
					echo ("value=".$value);
					
				}
			}
		}
		/*
		$o= array();
		$o["table"]="shortcode_auto";
		$o["out"]="array_asso";
		$agroupe = $plxPlugin->getData($o,true);*/
	}


/*
	function arrayRemoveDuplicate($array, $field) {
		foreach ($array as $element)
			$cmp[] = $element[$field];
		$unique = array_unique($cmp);
		foreach ($unique as $k => $v)
			$new[] = $array[$k];
		return $new;
	}
*/
}
?>