<?php


// spxdatasJsonmanager::savedatajson($file, $adatas);

class spxdatasJsonmanager {

	protected static $_messages = array(
        JSON_ERROR_NONE => 'No error has occurred',
        JSON_ERROR_DEPTH => 'The maximum stack depth has been exceeded',
        JSON_ERROR_STATE_MISMATCH => 'Invalid or malformed JSON',
        JSON_ERROR_CTRL_CHAR => 'Control character error, possibly incorrectly encoded',
        JSON_ERROR_SYNTAX => 'Syntax error',
        JSON_ERROR_UTF8 => 'Malformed UTF-8 characters, possibly incorrectly encoded'
    );
	
	public static function get($file){
		$string = file_get_contents($file);
		if ($string){
			return json_decode($string,true);
		}else{
			return false;
		}
	}
	
	public static function set($a, $file){
		$text = json_encode($a);
		file_put_contents($file, $text);
	}
	
	
	public static function savedatajson($file, $adatas) {		
		# On génére le fichier JSON
		$tmp = array();
		
			$ncount=1;
			foreach($adatas as $data_id => $data) {
				$user = $data["user"];
				$order= $ncount;
				$tmp2 = array();
				$tmp2["number"]=$data_id;
				$tmp2["user"]=$user;
				$tmp2["order"]=$order;
				$tmp2["column"]["parameter"]=array();	
							$tmp3 = array();
							foreach($data["data"] as $adata_name) {
								$tmp4 = array();
								$data_name=$adata_name["name"];
								
								$tmp4["name"]=$data["data"][$data_name]["name"];
								$tmp4["type"]=$data["data"][$data_name]["type"];
								$tmp4["value"]=$data["data"][$data_name]["value"];
								if ($tmp4["type"]=="cdata"){
									$tmp4["value"] = plxUtils::cdataCheck($tmp4["value"]);
								}
								
								array_push($tmp3,$tmp4);
							}
				$tmp2["column"]["parameter"]=$tmp3;
				array_push($tmp,$tmp2);
				$ncount++;	
			}
			$aout["document"]["data"]= array();
			$aout["document"]["data"]=$tmp;
			$myjson= json_encode($aout);
			
			//self::set($myjson, $file);
			
			return plxUtils::write($myjson,$file);
			
	}
	
	public static  function loaddatajson($file) {			
		# Lecture du json
		$string = file_get_contents($file);
		
		if (!$string){
			return false;
		}
		
		$ajson=json_decode($string,true);
		//echo ("<pre>");
		//print_r($ajson);
		//echo ("</pre>");
		$values= $ajson["document"]["data"];
		
		$atmp=array();
		$n= count($values);
		for($i = 0; $i < $n; $i++) {
				$number=$values[$i]["number"];
				$atmp[$number]=array();
				$atmp[$number]["number"]=$values[$i]["number"];
				$atmp[$number]["user"]=$values[$i]["user"];
				$atmp[$number]["order"]=$values[$i]["order"];
				$atmp[$number]["data"]=array();
			
				$aparams = $values[$i]["column"]["parameter"];
				//echo ("<pre>");
				//print_r($aparams);
				//echo ("</pre>");
				$n2= count($aparams);
				for($j = 0; $j < $n2; $j++) {
					$paramname= $aparams[$j]["name"];
					$atmp[$number]["data"][$paramname]= $aparams[$j];
				}
		}
		return $atmp;
	}
	/*
	public static function encode($value, $options = 0) {
        $result = json_encode($value, $options);
 
        if($result)  {
            return $result;
        }
 
        throw new RuntimeException(self::$_messages[json_last_error()]);
    }
 
    public static function decode($json, $assoc = false) {
        $result = json_decode($json, $assoc);
 
        if($result) {
            return $result;
        }
 
        throw new RuntimeException(self::$_messages[json_last_error()]);
    }
	*/

	
}

