<?php


// spxdatasJsonmanager::savedatajson($file, $adatas);

class spxdatasXmlmanager {

	// spxdatasXmlmanager::loaddataxml($file)
	
	public static function savedataxml($file, $adatas) {		
		# On génére le fichier XML
			$xml = "<?xml version=\"1.0\" encoding=\"".PLX_CHARSET."\"?>\n";
			$xml .= "<document>\n";
				$ncount=1;
				foreach($adatas as $data_id => $data) {
					$user = $data["user"];
					$order= $ncount;
					$xml .= '<data number="'.$data_id.'" user="'.$user.'"  order="'.$order.'">';		
							$xml .= '<column>';		
						
								foreach($data["data"] as $adata_name) {
									$data_name=$adata_name["name"];
									
									$name=$data["data"][$data_name]["name"];
									$type=$data["data"][$data_name]["type"];
									$value=$data["data"][$data_name]["value"];
									if ($type=="cdata"){
										$value = "<![CDATA[".plxUtils::cdataCheck($value)."]]>";
									}
									
									$xml .= '<parameter name="'.$name.'" type="'.$type.'">'.$value.'</parameter>';	
								}
								
								
							$xml .= '</column>';			
					$xml .= "</data>";
					$ncount++;	
				}
			
			$xml .= "</document>";
			
			return plxUtils::write($xml,$file);
	}
	
	public static  function loaddataxml($file) {			
		# Lecture du json
		# Mise en place du parseur XML
		$data = implode('',file($file));
		$parser = xml_parser_create(PLX_CHARSET);
		xml_parser_set_option($parser,XML_OPTION_CASE_FOLDING,0);
		xml_parser_set_option($parser,XML_OPTION_SKIP_WHITE,0);
		xml_parse_into_struct($parser,$data,$values,$iTags);
		xml_parser_free($parser);
		
		$atmp=array();
		$n= count($values);
		for($i = 0; $i < $n; $i++) {
			$tag = $values[$i]["tag"];
			$type= $values[$i]["type"];
			if ($tag =="data" && $type=="open"){
				$num= $values[$i]["attributes"]["number"];
				$user= $values[$i]["attributes"]["user"];
				$order= $values[$i]["attributes"]["order"];
				$number=$num;
				$atmp[$number]=array();
				$atmp[$number]["number"]=$num;
				$atmp[$number]["user"]=$user;
				$atmp[$number]["order"]=$order;
				$atmp[$number]["data"]=array();
			}
			if ($tag =="parameter"){
				$paramname= $values[$i]["attributes"]["name"];
				$paramtype= $values[$i]["attributes"]["type"];
				$paramvalue= $values[$i]["value"];
				$tmp = array();
				$tmp["name"]=$paramname;
				$tmp["type"]=$paramtype;
				$tmp["value"]=$paramvalue;
				
				$atmp[$number]["data"][$paramname]= $tmp;
			}
		}
		return $atmp;
	}
	
}

